#
# spec file for package osc-plugin-collab
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Vincent Untz <vuntz@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           osc-plugin-collab
Version:        0.99
Release:        lp152.3.2
Summary:        Plugin to make collaboration easier with osc
License:        BSD-3-Clause
Group:          Development/Tools/Other
Url:            http://en.opensuse.org/openSUSE:Osc_Collab
Source0:        osc-collab.py
# Needed for directory ownership
BuildRequires:  osc
Requires:       osc >= 0.140.1
%if !(0%{?fedora} || 0%{?rhel_version} || 0%{?centos_version} || 0%{?scientificlinux_version})
Recommends:     quilt
Recommends:     rpm-python
Recommends:     xz
%else
Requires:       quilt
Requires:       rpm-python
Requires:       xz
%endif
# osc gnome was part of osc-plugins-gnome
Conflicts:      osc-plugins-gnome <= 0.4.26
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if %(if test -d %{_prefix}/lib/osc-plugins; then echo 1; else echo 0; fi)
%define oscplugindir %{_prefix}/lib/osc-plugins
%else
%define oscplugindir %{_localstatedir}/lib/osc-plugins
%endif

%description
This osc plugin extends osc with commands that makes it easier to use
the collaboration feature in the Build Service, and to keep up with
latest upstream versions.

%prep

%build

%install
install -D -m0644 %{S:0} %{buildroot}%{oscplugindir}/osc-collab.py

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%{oscplugindir}/osc-collab.py
%if 0%{?fedora} || 0%{?rhel_version} || 0%{?centos_version}
%{oscplugindir}/osc-collab.pyc
%{oscplugindir}/osc-collab.pyo
%endif

%changelog
* Sat Nov 18 2017 zaitor@opensuse.org
- Update to version 0.99:
  + Support diff in meson buildsystem based packages.
* Sun Jul 21 2013 vuntz@opensuse.org
- Update to version 0.98:
  + Really port plugin to osc >= 0.140.1
  + Remove compatibility code with very old versions of osc
- Update Requires on osc to be versioned, since this now really
  only works with a recent version of osc.
* Mon Jul  1 2013 vuntz@opensuse.org
- Update to version 0.97:
  + Adapt code to osc's new plugin mechanism
* Thu Jan 10 2013 vuntz@opensuse.org
- Make build noarch.
- Fix build on Fedora/RHEL/CentOS/ScientificLinux:
  + Use Requires instead of Recommends since there are no
    Recommends there.
  + Package .pyc/.pyo files following the Fedora packaging policy
    (except for ScientificLinux, which doesn't do that).
* Mon Jan  7 2013 vuntz@opensuse.org
- Update to version 0.96:
  + Use new collab server.
* Thu Feb 23 2012 vuntz@opensuse.org
- Update to version 0.95:
  + Features:
  - Add ugly workaround to extract files from .tar.xz tarballs
  - Extract a diff of old and new configure.{ac,in} on update
  - Supersede old requests on buildsubmit/forward (unless
  - -no-supersede is used)
  + Fixes:
  - List requests that are in state 'review'
  - Improve todo performance
  - Use a cache when listing requests to improve performance
  - Fix crash in todo for packages with no upstream version
  - Use UTC for timezone in .changes entries
  - Change forwarded request description to the one from webui
  - Reset Release tag to 0 instead of 1 on updates
- Add Recommends for xz, so we can extract files from .tar.xz
  tarballs.
* Thu Jun 30 2011 vuntz@opensuse.org
- Update to version 0.94:
  + Features:
  - Add comments:
    . new 'comment', 'commentset', 'commentunset',
    'listcommented' commands to edit/view comments on packages
    . make 'todo' display packages with a comment, and add
  - -ignore-comments and --exclude-commented options to
    control this behavior
    . display comments after 'setup'/'update', unless
  - -ignore-comments is used
  - Add --details/--no-details options and collab_details config
    option (default to False) to display more details in 'todo'
  - 'update' command improvements:
    . Stop recompressing tarballs
    . Update Source tag in .spec on update to the tarball URL
    . Drop the "(Version XYZ)" part of the .spec header
  - Add --nobranch option to 'setup'/'update' commands
  - Unreserve the package after successful 'buildsubmit'
  - Add collab_do_package_tracking config option (default to
    False)
  + Fixes:
  - Make 'isreserved' work with multiple packages
* Tue Jun 28 2011 vuntz@opensuse.org
- Add quilt Recommends, as the plugin tells the user to use quilt
  to check patches.
- Update Url tag to point to new wiki page.
* Mon May 30 2011 vuntz@opensuse.org
- Update to version 0.93:
  + Fixes:
  - Handle httplib.BadStatusLine exception in build
  - Fix bug that was creating inconsistent state in checkout
* Fri Sep 10 2010 vuntz@opensuse.org
- Update to version 0.92:
  + Fixes:
  - Do not create empty helper files for NEWS/ChangeLog
  - Use updated build state names from OBS ('signing' was added,
    'expansion error' was renamed to 'unresolved')
  - Fix crash when list of reserved packages cannot be fetched
  - Make "osc collab forward" work with osc 0.129
* Sun Jan 17 2010 vuntz@opensuse.org
- Update to version 0.91:
  + Features:
  - Use the new scheduler state for build/buildsubmit to
    determine if the build status can be trusted or not.
  + Fixes:
  - Fix addition of osc-collab.* files to exclude glob.
* Mon Sep 14 2009 vuntz@opensuse.org
- This is the old osc-gnome plugin, split from osc-plugins-gnome,
  and renamed to osc-collab.
- Update to version 0.90:
  + Features:
  - Rename to osc collab and do not refer to anything GNOME
    specific anywhere
  - Support delta in non-link packages
  - Remove potential trailing slash from packages passed as args
    for convenience when used with autocompletion
  - Make the config options work per apiurl
  - Make it possible to use more than one repo at the same time
  - Display against which repo the build is done
  - Make setup/update branch from the devel project
  - Take into account the version in devel project for
    todo/update
  - Use openSUSE:Factory by default instead of GNOME:Factory
  - Autodetect default repository for builds
  - Add --nodevelproject option for the relevant commands
  - Add --version command
  + Fixes:
  - Improve upstream tarball basename detection in when the
    basename of the upstream tarball is not in the URL, but in
    the query fields
  - Fix warning about tag in Source always appearing
  - Do not crash with osc from trunk
  - Better handling of update when package is already updated
  - Fix listreserved to not list reservations from all projects
  - Substitute macros in %%define lines too
  - Remove old cache files
  - Fix parsing of empty list options in ~/.oscrc
  - Improve help message
  - Code cleanups
